Subject: bug#73310: tree-sitter makes cpu 100%

From: Yuan Fu <[email-masked]>
Date: Sun, 24 Nov 2024 17:48:16 -0800

> On Nov 10, 2024, at 3:35 AM, vinurs <[email-masked]> wrote:
> 
> Because I saw Yuan’s response in the tree-sitter issue thread stating that this bug had already been fixed, so I'm not sure if it’s the same issue anymore.
> 
> https://github.com/tree-sitter/tree-sitter/issues/3620
> 
> ------------
> Sincerely,
> 
> Haiyuan Zhang, Vinurs
> BinaryBrain LLC

Sorry for the late response. I went over the reproduce recipe again, and at least for me, Emacs doesn’t hang anymore. Maybe your Emacs isn’t picking up the right tree-sitter library?

Yuan